-- Credit to Sirgoodsmoke

local old_init = SkillTreeTweakData.init
 
function SkillTreeTweakData:init()
    old_init(self)
    
self.default_upgrades = {
	"player_fall_damage_multiplier",
	"player_fall_health_damage_multiplier",
	"player_silent_kill",
	"player_primary_weapon_when_downed",
	"player_intimidate_enemies",
	"player_special_enemy_highlight",
	"player_hostage_trade",
	"player_sec_camera_highlight",
	"player_corpse_dispose",
	"player_corpse_dispose_amount_1",
	"player_civ_harmless_melee",
	"player_walk_speed_multiplier",
	"player_steelsight_when_downed",
	"player_crouch_speed_multiplier",
	"carry_interact_speed_multiplier_1",
	"carry_interact_speed_multiplier_2",
	"carry_movement_speed_multiplier",
	"trip_mine_sensor_toggle",
	"trip_mine_sensor_highlight",
	"trip_mine_can_switch_on_off",
	"ecm_jammer_can_activate_feedback",
	"ecm_jammer_interaction_speed_multiplier",
	"ecm_jammer_can_retrigger",
	"ecm_jammer_affects_cameras",
	"striker_reload_speed_default",
	"temporary_first_aid_damage_reduction",
	"temporary_passive_revive_damage_reduction_2",
	"akimbo_recoil_index_addend_1",
	"doctor_bag",
	"ammo_bag",
	"trip_mine",
	"ecm_jammer",
	"first_aid_kit",
	"sentry_gun",
	"bodybags_bag",
	"saw",
	"cable_tie",
	"jowi",
	"x_1911",
	"x_b92fs",
	"x_deagle",
	"x_g22c",
	"x_g17",
	"x_usp",
	"x_sr2",
	"x_mp5",
	"x_akmsu",
	"x_packrat",
	"x_p226",
	"x_m45",
	"x_mp7",
	"x_ppk",
		-- REVENANT
 
	-- NINE LIVES (nine_lives)
	"player_bleed_out_health_multiplier",
	"player_additional_lives_1", --ACED
 
	-- RUNNING FROM DEATH (running_from_death)
	--"player_temp_swap_weapon_faster_1",
	--"player_temp_reload_weapon_faster_1",
	--"player_temp_increased_movement_speed_1", --ACED

	"player_temp_increased_movement_speed_1", -- Enhanced Payday Experience skill
	"player_revived_damage_resist_1", -- Enhanced Payday Experience skill
 	"player_revived_health_regain_1", -- Enhanced Payday Experience skill
 
	-- UP YOU GO (up_you_go)
	--"player_revived_damage_resist_1",
	--"player_revived_health_regain_1", --ACED

	"player_downed_dmg_reduction_1", -- Enhanced Payday Experience skill
	"player_downed_dmg_reduction_2", -- Enhanced Payday Experience skill
        "player_bleed_out_time", -- Enhanced Payday Experience skill
 
	-- SWAN SONG (perseverance)
	"temporary_berserker_damage_multiplier_1",
	"temporary_berserker_damage_multiplier_2", --ACED
	"player_berserker_no_ammo_cost",
 
	-- FEIGN DEATH (feign_death)
	--"player_cheat_death_chance_1",
	--"player_cheat_death_chance_2", --ACED

	"player_auto_gtfu_chance_1", -- Enhanced Payday Experience skill
	"player_auto_gtfu_chance_2", -- Enhanced Payday Experience skill
 
	-- MESSIAH (messiah)
	"player_messiah_revive_from_bleed_out_1",
	"player_recharge_messiah_1", --ACED

	"med_x", 				-- MX Overhaul skill --(It probably would show a bm_error making you unable to equip these without these here)
        "temporary_med_x_1", 			-- MX Overhaul skill
        "auto_inject_super_stimpak", 		-- MX Overhaul skill
        "adrenaline_shot", 			-- MX Overhaul skill
        "temporary_adrenaline_shot_1",		-- MX Overhaul skill
        "spare_armor_plate", 			-- MX Overhaul skill
        "temporary_spare_armor_plate_1", 	-- MX Overhaul skill
        "jet",					-- MX Overhaul skill
        "temporary_jet_1" 			-- MX Overhaul skill

    }
end