local old_PlayerDamage_damage_bullet = PlayerDamage.damage_bullet

function PlayerDamage:damage_bullet(attack_data)
    if not self:_chk_can_take_dmg() then
        return
    end
    local distance = mvector3.distance(self._unit:position(), attack_data.attacker_unit:position()) / 100
    local new_damage = attack_data.damage

    if attack_data.attacker_unit:base()._tweak_table == "shield" then
        	new_damage = 7
    end

    if attack_data.attacker_unit:base()._tweak_table == "swat" then
        	new_damage = self:light_swat_damage(distance)
    end

    if attack_data.attacker_unit:base()._tweak_table == "heavy_swat" then
        	new_damage = 45
    end

    attack_data.damage = new_damage
    old_PlayerDamage_damage_bullet(self, attack_data)
end

function PlayerDamage:light_swat_damage(distance)
    local new_damage = 0
    if distance <= 15 then
        new_damage = 450
    elseif distance <= 25 then
        new_damage = 280
    elseif distance <= 35 then
        new_damage = 225
    else -- must be over 35 than
        new_damage = 170
    end
    return new_damage / 10
end
