﻿local minigundozer = {
	flameth = {
		"flamethrower"
	}
}

local greendozer = {
	apshotgun = {
		"benelli"
	}
}

local blackdozer = {
	skoconcusser = {
		"sko12_conc"
	}
}

local skulldozer = {
	lmgwood = {
		"rpk_lmg"
	}
}

local shieldwithdeagle = {
	deag = {
		"deagle"
	}
}

local lightwithsmg = {
	acp = {
		"ump"
	},
	smgwood = {
		"akmsu_smg"
	}
}

local heavywithscar = {
	scardmr = {
		"scar_murky"
	}
}

local cloakerwithasval = {
	val = {
		"asval_smg"
	}
}

local weapon_mapping = {

	[("units/payday2/characters/ene_bulldozer_2/ene_bulldozer_2"):key()] = blackdozer.skoconcusser,
	[("units/pd2_dlc_mad/characters/ene_akan_fbi_tank_saiga/ene_akan_fbi_tank_saiga"):key()] = blackdozer.skoconcusser,
	[("units/pd2_dlc_hvh/characters/ene_bulldozer_hvh_2/ene_bulldozer_hvh_2"):key()] = blackdozer.skoconcusser,
	[("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_3/ene_murkywater_bulldozer_3"):key()] = blackdozer.skoconcusser,
	[("units/pd2_dlc_bex/characters/ene_swat_dozer_policia_federale_saiga/ene_swat_dozer_policia_federale_saiga"):key()] = blackdozer.skoconcusser,
	[("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer_3/ene_zeal_bulldozer_3"):key()] = blackdozer.skoconcusser,

	[("units/pd2_dlc_bex/characters/ene_swat_dozer_policia_federale_m249/ene_swat_dozer_policia_federale_m249"):key()] = skulldozer.lmgwood,

	--[("units/pd2_dlc_bex/characters/ene_swat_dozer_policia_federale_minigun/ene_swat_dozer_policia_federale_minigun"):key()] = minigundozer.flameth, 
	--[("units/pd2_dlc_drm/characters/ene_bulldozer_minigun/ene_bulldozer_minigun"):key()] = minigundozer.flameth, 
	--[("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_1/ene_murkywater_bulldozer_1"):key()] = minigundozer.flameth,  --Had to comment out these minigundozer swaps, they crash you if you don't do this annoying step:
															        --first uncomment their lines by removing --
																--then every time you first launch the game load into this custom modded map: Proving Grounds https://modworkshop.net/mod/29905 
	[("units/payday2/characters/ene_bulldozer_1/ene_bulldozer_1"):key()] = greendozer.apshotgun,
	[("units/pd2_dlc_mad/characters/ene_akan_fbi_tank_r870/ene_akan_fbi_tank_r870"):key()] = greendozer.apshotgun,
	[("units/pd2_dlc_hvh/characters/ene_bulldozer_hvh_1/ene_bulldozer_hvh_1"):key()] = greendozer.apshotgun,
	[("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_2/ene_murkywater_bulldozer_2"):key()] = greendozer.apshotgun,
	[("units/pd2_dlc_bex/characters/ene_swat_dozer_policia_federale_r870/ene_swat_dozer_policia_federale_r870"):key()] = greendozer.apshotgun,
	[("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer_2/ene_zeal_bulldozer_2"):key()] = greendozer.apshotgun,

	[("units/payday2/characters/ene_swat_1/ene_swat_1"):key()] = lightwithsmg.acp,
	[("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1"):key()] = lightwithsmg.acp,
	[("units/pd2_dlc_gitgud/characters/ene_zeal_swat/ene_zeal_swat"):key()] = lightwithsmg.acp,
	[("units/pd2_dlc_mad/characters/ene_akan_cs_swat_ak47_ass/ene_akan_cs_swat_ak47_ass"):key()] = lightwithsmg.smgwood,
	[("units/pd2_dlc_mad/characters/ene_akan_fbi_swat_ak47_ass/ene_akan_fbi_swat_ak47_ass"):key()] = lightwithsmg.smgwood,
	[("units/pd2_dlc_hvh/characters/ene_swat_hvh_1/ene_swat_hvh_1"):key()] = lightwithsmg.acp,
	[("units/pd2_dlc_hvh/characters/ene_fbi_swat_hvh_1/ene_fbi_swat_hvh_1"):key()] = lightwithsmg.acp,
	[("units/pd2_dlc_bph/characters/ene_murkywater_light/ene_murkywater_light"):key()] = lightwithsmg.acp,
	[("units/pd2_dlc_bph/characters/ene_murkywater_light_fbi/ene_murkywater_light_fbi"):key()] = lightwithsmg.acp,
	[("units/pd2_dlc_bex/characters/ene_swat_policia_federale/ene_swat_policia_federale"):key()] = lightwithsmg.smgwood,
	[("units/pd2_dlc_bex/characters/ene_swat_policia_federale_fbi/ene_swat_policia_federale_fbi"):key()] = lightwithsmg.acp,

	[("units/payday2/characters/ene_swat_heavy_1/ene_swat_heavy_1"):key()] = heavywithscar.scardmr,
	[("units/payday2/characters/ene_fbi_heavy_1/ene_fbi_heavy_1"):key()] = heavywithscar.scardmr,
	[("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"):key()] = heavywithscar.scardmr,
	[("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy/ene_zeal_swat_heavy"):key()] = heavywithscar.scardmr,
	[("units/pd2_dlc_hvh/characters/ene_swat_heavy_hvh_1/ene_swat_heavy_hvh_1"):key()] = heavywithscar.scardmr,
	[("units/pd2_dlc_hvh/characters/ene_fbi_heavy_hvh_1/ene_fbi_heavy_hvh_1"):key()] = heavywithscar.scardmr,
	[("units/pd2_dlc_bph/characters/ene_murkywater_heavy/ene_murkywater_heavy"):key()] = heavywithscar.scardmr,
	[("units/pd2_dlc_bph/characters/ene_murkywater_heavy_g36/ene_murkywater_heavy_g36"):key()] = heavywithscar.scardmr,

	[("units/pd2_dlc_gitgud/characters/ene_zeal_swat_shield/ene_zeal_swat_shield"):key()] = shieldwithdeagle.deag,
	[("units/pd2_dlc_hvh/characters/ene_shield_hvh_1/ene_shield_hvh_1"):key()] = shieldwithdeagle.deag,
	[("units/pd2_dlc_bph/characters/ene_murkywater_shield/ene_murkywater_shield"):key()] = shieldwithdeagle.deag,
	[("units/pd2_dlc_bex/characters/ene_swat_shield_policia_federale_mp9/ene_swat_shield_policia_federale_mp9"):key()] = shieldwithdeagle.deag,
	[("units/payday2/characters/ene_shield_1/ene_shield_1"):key()] = shieldwithdeagle.deag,
	[("units/pd2_dlc_mad/characters/ene_akan_fbi_shield_sr2_smg/ene_akan_fbi_shield_sr2_smg"):key()] = shieldwithdeagle.deag,
	[("units/pd2_dlc_mad/characters/ene_akan_fbi_shield_dw_sr2_smg/ene_akan_fbi_shield_dw_sr2_smg"):key()] = shieldwithdeagle.deag,
	[("units/pd2_dlc_hvh/characters/ene_shield_hvh_1/ene_shield_hvh_1"):key()] = shieldwithdeagle.deag,
	[("units/pd2_dlc_bph/characters/ene_murkywater_shield/ene_murkywater_shield"):key()] = shieldwithdeagle.deag,
	[("units/pd2_dlc_bex/characters/ene_swat_shield_policia_federale_mp9/ene_swat_shield_policia_federale_mp9"):key()] = shieldwithdeagle.deag,

	[("units/payday2/characters/ene_spook_1/ene_spook_1"):key()] = cloakerwithasval.val,
	[("units/pd2_dlc_gitgud/characters/ene_zeal_cloaker/ene_zeal_cloaker"):key()] = cloakerwithasval.val,
	[("units/pd2_dlc_hvh/characters/ene_spook_hvh_1/ene_spook_hvh_1"):key()] = cloakerwithasval.val,
	[("units/pd2_dlc_bph/characters/ene_murkywater_cloaker/ene_murkywater_cloaker"):key()] = cloakerwithasval.val,
	[("units/pd2_dlc_bex/characters/ene_swat_cloaker_policia_federale/ene_swat_cloaker_policia_federale"):key()] = cloakerwithasval.val


}

Hooks:PreHook(CopBase, "post_init", "MIX_post_init", function(self)
	local weapon_swap = weapon_mapping[self._unit:name():key()]

	if weapon_swap then
		self._default_weapon_id = type(weapon_swap) == "table" and table.random(weapon_swap) or weapon_swap
	end
end)